aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/ci-apps-verify
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/ci-apps-verify')
-rw-r--r--jjb/ci-apps-verify/.gitignore2
-rwxr-xr-xjjb/ci-apps-verify/ci-apps-jjb.local.sh37
-rw-r--r--jjb/ci-apps-verify/ci-apps-jjb.yaml60
3 files changed, 91 insertions, 8 deletions
diff --git a/jjb/ci-apps-verify/.gitignore b/jjb/ci-apps-verify/.gitignore
index ce14f834..748bbba1 100644
--- a/jjb/ci-apps-verify/.gitignore
+++ b/jjb/ci-apps-verify/.gitignore
@@ -1,3 +1,5 @@
mediaplayer
controls
poky-agl-*.sh
+env*
+UPLOAD
diff --git a/jjb/ci-apps-verify/ci-apps-jjb.local.sh b/jjb/ci-apps-verify/ci-apps-jjb.local.sh
index cb588b23..0e7c3b51 100755
--- a/jjb/ci-apps-verify/ci-apps-jjb.local.sh
+++ b/jjb/ci-apps-verify/ci-apps-jjb.local.sh
@@ -1,15 +1,44 @@
#!/bin/bash
-set -x
+#set -x
-export GERRIT_REFSPEC="refs/changes/49/9549/2"
+export GERRIT_REFSPEC="refs/changes/51/9551/2"
export GERRIT_PROJECT="apps/mediaplayer"
-export GERRIT_CHANGE_NUMBER="9549"
+export GERRIT_CHANGE_NUMBER="9551"
export GERRIT_PATCHSET_NUMBER="2"
-export GERRIT_PATCHSET_REVISION="b0f682b1579e520896ccd5492d6666d962a0c226"
+export GERRIT_PATCHSET_REVISION="f3ddc376291262a6b305cc2b0a52792abdc7c85c"
export GERRIT_HOST="gerrit.automotivelinux.org"
export GERRIT_PORT="29418"
+export -p > env.save
+
+THISPWD=$(pwd)
+for TARGETARCH in aarch64 arm x86-64; do
+pushd $THISPWD
+
+for i in `compgen -e | grep -v ^PATH`; do
+ unset $i
+done
+
+source env.save
+
+#set -x
+#export GERRIT_REFSPEC=\"$GERRIT_REFSPEC\"
+#export GERRIT_PROJECT=\"$GERRIT_PROJECT\"
+#export GERRIT_CHANGE_NUMBER=\"$GERRIT_CHANGE_NUMBER\"
+#export GERRIT_PATCHSET_NUMBER=\"$GERRIT_PATCHSET_NUMBER\"
+#export GERRIT_PATCHSET_REVISION=\"$GERRIT_PATCHSET_REVISION\"
+#export GERRIT_HOST=\"$GERRIT_HOST\"
+#export GERRIT_PORT=\"$GERRIT_PORT\"
+rm -rf ~/agl-sdk || true
+
. ../common/include-apps-header.sh
. ../common/include-apps-fetch-install-sdk.sh
. ../common/include-apps-build-app.sh
+. ../common/include-apps-rsync-download-changeid.sh
+
+#"
+
+popd
+
+done \ No newline at end of file
diff --git a/jjb/ci-apps-verify/ci-apps-jjb.yaml b/jjb/ci-apps-verify/ci-apps-jjb.yaml
index 137de8fe..9b56ac25 100644
--- a/jjb/ci-apps-verify/ci-apps-jjb.yaml
+++ b/jjb/ci-apps-verify/ci-apps-jjb.yaml
@@ -29,7 +29,7 @@
- ci-apps-{project}-verify-CIB-{architecture}
- ci-apps-{project}-verify-CIB-finish-success
- ci-apps-{project}-verify-failure
-
+ - ci-apps-{project}-remove-artifacts
# - ci-apps-{project}-verify-CIB-start
# - ci-apps-{project}-verify-CIBT-start
#- ci-apps-{project}-verify-CIBT-{architecture}
@@ -144,14 +144,14 @@
description: "refspec to build"
- string:
name: GERRIT_CHANGE_NUMBER
- default: "8313"
+ default: ""
description: "change # to build"
- string:
name: GERRIT_PATCHSET_NUMBER
- default: "2"
+ default: ""
description: "patchset # to build"
- string:
- name: MACHINE
+ name: TARGETARCH
default: '{architecture}'
description: "Machine to build"
@@ -497,3 +497,55 @@
# set
echo "#### CIBT +1 ####"
ssh -p 29418 agl-jobbuilder@gerrit.automotivelinux.org gerrit review ${{GERRIT_CHANGE_NUMBER}},${{GERRIT_PATCHSET_NUMBER}} --verified +1 --label ci-image-build=+1 --label ci-image-boot-test=+1 -n NONE --message='CI-Image-Boot-Test\ finished' || true
+
+################################################################################
+################################################################################
+# -remove-artifacts = merge/abandon, remove artifacts and later trigger sstate
+################################################################################
+- job-template:
+ name: 'ci-apps-{project}-remove-artifacts'
+ project-type: freestyle
+ concurrent: true
+ node: control-slave
+ parameters:
+ - string:
+ name: GERRIT_PROJECT
+ default: 'apps/{project}'
+ description: "Project to build"
+ - string:
+ name: GERRIT_BRANCH
+ default: master
+ description: "branch to build"
+ - string:
+ name: GERRIT_REFSPEC
+ default: refs/heads/master
+ description: "refspec to build"
+ - string:
+ name: GERRIT_CHANGE_NUMBER
+ default: "9551"
+ description: "change # to build"
+ - string:
+ name: GERRIT_PATCHSET_NUMBER
+ default: "2"
+ description: "patchset # to build"
+ build-discarder:
+ days-to-keep: 30
+ artifact-days-to-keep: -1
+ artifact-num-to-keep: 5
+ wrappers:
+ - agl-infra-wrappers:
+ build-timeout: '{build-timeout}'
+ - openstack:
+ single-use: false
+ triggers:
+ - gerrit-trigger-patch-merged:
+ name: 'apps/{project}'
+ branch: '**/**/**'
+ - gerrit-trigger-patch-abandoned:
+ name: 'apps/{project}'
+ branch: '**/**/**'
+ builders:
+ - shell:
+ !include-raw-escape:
+ - ../common/include-agl-remove-artifacts-changeid.sh
+